Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.support.proxy
[Java] Class DefaultProxyHandler

    java.lang.Object
      org.codehaus.groovy.grails.support.proxy.DefaultProxyHandler

All Implemented Interfaces:
  ProxyHandler

    public class DefaultProxyHandler

Trivial default implementation that always returns true and the object.

Authors:
  Graeme Rocher

Since:
  1.2.2

Method Summary
`void` | `initialize(java.lang.Object o)`
`boolean` | `isInitialized(java.lang.Object o)`
`boolean` | `isInitialized(java.lang.Object obj, java.lang.String associationName)`
`boolean` | `isProxy(java.lang.Object o)`
`java.lang.Object` | `unwrapIfProxy(java.lang.Object instance)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### initialize

    public void initialize(java.lang.Object o)

### isInitialized

    public boolean isInitialized(java.lang.Object o)

### isInitialized

    public boolean isInitialized(java.lang.Object obj, java.lang.String associationName)

### isProxy

    public boolean isProxy(java.lang.Object o)

### unwrapIfProxy

    public java.lang.Object unwrapIfProxy(java.lang.Object instance)

Groovy Documentation